2009-01-27 14:10  Andrés Cabrera <mantaraya36@gmail.com>

	* [r135] src/qutecsound.cpp, src/widgetpanel.cpp,
	  src/widgetpanel.h: More work on Mutex locking
	  Optimized performance by not updating the widget text everytime a
	  widget changes, but only when the file is saved.
	  Improved setting tootips for widgets

2009-01-27 02:49  Andrés Cabrera <mantaraya36@gmail.com>

	* [r134] src/qutecsound.cpp, src/widgetpanel.cpp: Fixed crashing,
	  but showtooltips is not updated when new widgets are created.

2009-01-27 02:29  Andrés Cabrera <mantaraya36@gmail.com>

	* [r133] src/qutewidget.cpp, src/qutewidget.h: Moved widget mutex
	  macro to correct place

2009-01-26 23:06  Andrés Cabrera <mantaraya36@gmail.com>

	* [r132] src/qutecsound.cpp, src/quteslider.cpp, src/quteslider.h,
	  src/qutewidget.cpp, src/types.h, src/widgetpanel.cpp: Fixed
	  confirmation when closing tab
	  Fixed slider scale, so it follows correctly pixel size. This
	  fixes changing values when saving.
	  Disabled building with widget mutex, as it seems to have no
	  positive effect
	  Improved usage of mutexes in widget panel

2009-01-26 01:06  Andrés Cabrera <mantaraya36@gmail.com>

	* [r131] src/qutebutton.cpp, src/qutecheckbox.cpp,
	  src/qutecombobox.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/quteknob.cpp, src/qutemeter.cpp,
	  src/qutescope.cpp, src/quteslider.cpp, src/qutespinbox.cpp,
	  src/qutetext.cpp, src/qutewidget.cpp, src/src.pro, src/types.h,
	  src/widgetpanel.cpp: Changed csound mutex to QMutex
	  Moved save untitled warning to correct place

2009-01-23 20:12  Andrés Cabrera <mantaraya36@gmail.com>

	* [r130] src/highlighter.cpp: Added highlighting to csLADSPA tags

2009-01-23 20:03  Andrés Cabrera <mantaraya36@gmail.com>

	* [r129] src/documentpage.cpp, src/documentpage.h,
	  src/qutecsound.cpp, src/quteknob.cpp, src/quteknob.h,
	  src/qutespinbox.cpp, src/qutespinbox.h, src/qutetext.cpp,
	  src/qutetext.h, src/widgetpanel.cpp, src/widgetpanel.h: Finished
	  support for csLADSPA section generation

2009-01-23 15:52  Andrés Cabrera <mantaraya36@gmail.com>

	* [r128] src/highlighter.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/quteslider.cpp, src/quteslider.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/widgetpanel.cpp: Initial work for csladspa
	  and cabbage code generation
	  Cleaner startup (widget panel is hidden while QuteCsound loads)

2009-01-23 13:04  Andrés Cabrera <mantaraya36@gmail.com>

	* [r127] src/qutecsound.cpp: Hide widget panel when open or save
	  as, because it interferes with file selector on OS X

2009-01-21 15:19  Andrés Cabrera <mantaraya36@gmail.com>

	* [r126] src/documentpage.cpp, src/qutecsound.cpp: Fixed tab icons.
	  They now reflect whether document has been modified.
	  Corrected error line highlighting (for lines that wrap) and
	  textedit now retains position.

2009-01-20 22:20  Andrés Cabrera <mantaraya36@gmail.com>

	* [r125] src/console.cpp, src/console.h, src/documentpage.cpp,
	  src/documentpage.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/widgetpanel.cpp: Csound compilation errors are highlighted in
	  the csd text
	  Prevent opening files twice or saving as a file that is already
	  open
	  Widgets (when show on run enabled) are ony shown if compilation
	  is succesful
	  Labels now retain commas and curly brace characters

2009-01-19 21:56  Andrés Cabrera <mantaraya36@gmail.com>

	* [r124] src/documentpage.cpp: Finished implementing conversion
	  between chnget/chnset and invalue/outvaue

2009-01-17 19:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r123] src/configdialog.cpp, src/configdialog.ui,
	  src/dockhelp.cpp, src/documentpage.cpp, src/documentpage.h,
	  src/options.h, src/qutebutton.cpp, src/qutecheckbox.cpp,
	  src/qutecombobox.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/quteknob.cpp, src/qutemeter.cpp,
	  src/qutescope.cpp, src/quteslider.cpp, src/qutespinbox.cpp,
	  src/qutetext.cpp, src/qutewidget.cpp, src/qutewidget.h,
	  src/widgetpanel.cpp: Removed option to use chnget/chnset
	  Initial work on conversion from invalue to chnget and viceversa
	  Experiments with mutexes to see if it solves OS X issues

2009-01-15 22:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r122] src/configdialog.cpp, src/findreplace.cpp,
	  src/findreplace.ui, src/qutecsound.cpp, src/qutemeter.cpp,
	  src/src.pro, src/types.h, src/widgetpanel.cpp, src/widgetpanel.h:
	  Fixed building on OS X (added libsndfile)
	  Added close button to Find and replace dialog
	  Added several QMutex mutexes to try to fix OS X problems. Not
	  working yet....

2009-01-15 16:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r121] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/documentpage.cpp, src/documentpage.h,
	  src/graphicwindow.cpp, src/graphicwindow.h, src/highlighter.cpp,
	  src/opentryparser.cpp, src/options.h, src/qutecsound.cpp: Greatly
	  improved code graph.
	  Added option to select default csd
	  Variables with _ are now highlighted properly

2009-01-14 00:28  Andrés Cabrera <mantaraya36@gmail.com>

	* [r120] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/configlists.cpp, src/documentpage.cpp,
	  src/documentpage.h, src/graphicwindow.cpp, src/graphicwindow.h,
	  src/node.cpp, src/node.h, src/opentryparser.cpp,
	  src/opentryparser.h, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutegraph.cpp, src/src.pro, src/types.h:
	  Fixed GraphWidget for usage with display opcode.
	  Added initial work for generating code diagrams using dot.
	  Added proper support for SOLARIS (patch by Sergio)

2009-01-09 22:32  Andrés Cabrera <mantaraya36@gmail.com>

	* [r119] ChangeLog, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutegraph.cpp, src/qutescope.cpp,
	  src/qutescope.h, src/qutewidget.cpp, src/qutewidget.h,
	  src/widgetpanel.cpp, src/widgetpanel.h: Modified internal
	  handling of values from widgets. Now instead of polling values, a
	  value queue is filled whenever a widget value changes. Only
	  implemented for float values not strings.
	  Connected widgets with the same channel even when Csound is not
	  running.
	  When audiofile is rendered, the file can now be opened with
	  external editor (in previous version, only files created with
	  record button were opened in external editor and player)
	  Fixed: csound doesnot run if filename dialog when Render is
	  cancelled.
	  Added an "About examples" menu item
	  Added keyboard shortcut to Save as
	  Fixed setting the widgetgraphs' zoom when out of bounds (no more
	  white graphs!)
	  Selection of widgets with mouse rectangle
	  Updated ChangeLog

2008-12-31 03:39  Andrés Cabrera <mantaraya36@gmail.com>

	* [r118] doc/QuteCsound Quick Reference (0.4)-es.odt,
	  doc/QuteCsound Quick Reference (0.4)-es.pdf, doc/QuteCsound Quick
	  Reference (0.4).odt, doc/QuteCsound Quick Reference (0.4).pdf:
	  Added docs in spanish
	  Updated english docs

2008-12-31 01:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r117] examples/buttonwidget.csd, examples/controllerwidget.csd,
	  examples/displaywidget.csd, examples/graphwidget.csd,
	  examples/menuwidget.csd, examples/scopewidget.csd,
	  examples/scrollnumberwidget.csd, examples/sliderwidget.csd,
	  examples/widgetpanel.csd, src/application.qrc,
	  src/configdialog.ui, src/documentpage.cpp, src/opentryparser.cpp,
	  src/qutebutton.cpp, src/qutecombobox.cpp, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutegraph.cpp, src/qutemeter.cpp,
	  src/qutemeter.h, src/qutescope.cpp, src/qutespinbox.cpp,
	  src/qutewidget.cpp, src/qutewidget.h, src/utilitiesdialog.cpp,
	  src/widgetpanel.cpp, src/widgetpanel.h, srcrelease.sh: Fixed
	  crashig of csound due to not cleaning up or not destroying when
	  appropriate
	  Out values queue is now cleared, so values are sent only once.
	  Fixed graph display of multiple graphs.
	  Fixed deletion of perfThread
	  Added new examples for widgets
	  Made less verbose
	  Many small usability fixes

2008-12-30 13:16  Andrés Cabrera <mantaraya36@gmail.com>

	* [r116] doc, doc/QuteCsound Quick Reference (0.4).odt,
	  doc/QuteCsound Quick Reference (0.4).pdf: Added Quick reference
	  documentation

2008-12-29 12:07  Andrés Cabrera <mantaraya36@gmail.com>

	* [r115] examples/checkboxwidget.csd, examples/labelwidget.csd,
	  examples/sliderwidget.csd, examples/widgetpanel.csd,
	  src/application.qrc, src/configdialog.cpp, src/configdialog.ui,
	  src/options.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutetext.cpp, src/qutewidget.cpp,
	  src/types.h, src/widgetpanel.cpp, src/widgetpanel.h: Added new
	  examples for some widgets and reorganized examples menu.
	  Added option to select record sample format
	  Changed Play to Run in menus
	  Fixed Csound not cleaning up after running threaded, which
	  resulted in a crash the second time Csound ran without e in the
	  score
	  Fixed zoom range for graph widget and made FFT scale logarithmic
	  Quotes are removed from label text since they are not allowed
	  Added delete action for widget panel
	  Added simple locking mechanism for ring buffer

2008-12-26 21:30  Andrés Cabrera <mantaraya36@gmail.com>

	* [r114] images/gtk-media-record.png, images/gtk-media-record.svg,
	  src/application.qrc, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutegraph.h, src/qutescope.cpp,
	  src/src.pro, src/types.h, src/widgetpanel.cpp: Intial
	  implementation of record button. Works, but saves some extraneous
	  noise.
	  Set default Run in separate thread to true, as things appear to
	  be more stable now.
	  FFT and scope now depend properly from 0dBFS

2008-12-26 15:36  Andrés Cabrera <mantaraya36@gmail.com>

	* [r113] src/qutecombobox.cpp, src/qutecombobox.h,
	  src/qutegraph.cpp, src/qutescope.cpp, src/qutescope.h: Fixed
	  saving of zoom value for graph widgets
	  Completed implementation for receiving fft plots from dispfft.
	  Scope widget can now be "frozen" while pressing the mouse on it.

2008-12-24 15:35  Andrés Cabrera <mantaraya36@gmail.com>

	* [r112] examples/graphwidget.csd, src/curve.cpp, src/curve.h,
	  src/qutebutton.cpp, src/qutecheckbox.cpp, src/qutecombobox.cpp,
	  src/qutecombobox.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutegraph.h, src/quteknob.cpp,
	  src/qutemeter.cpp, src/qutescope.cpp, src/qutescope.h,
	  src/quteslider.cpp, src/qutespinbox.cpp, src/qutespinbox.h,
	  src/qutetext.cpp, src/qutetext.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/test.csd, src/types.h,
	  src/widgetpanel.cpp, src/widgetpanel.h: Impemented scope widget.
	  Implemented showing fft plots from dispfft opcode in graph widget
	  Cleaned up unnecessary widget subclasses
	  Fixed scope widget for multichannel interleaved data.
	  Implemented selection of channel in scope widget
	  Implemented zoom in graph widget

2008-12-22 15:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r111] examples/graphwidget.csd, src/configdialog.cpp,
	  src/documentpage.cpp, src/framewidget.cpp, src/opentryparser.cpp,
	  src/qutecsound.cpp, src/qutecsound.h, src/qutegraph.cpp,
	  src/qutegraph.h, src/qutescope.cpp, src/qutescope.h, src/src.pro,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented sending vaues
	  to graph widget to set shown table. Added example to show this.
	  Fixed nasty bug that crashed csound when saving from widgets
	  during play, which would save an empty file.
	  Initial work on Scope widget
	  Fixed copy and paste for widgets when changing focus to editor

2008-12-17 20:15  Andrés Cabrera <mantaraya36@gmail.com>

	* [r110] src/configdialog.cpp, src/configdialog.ui, src/console.h,
	  src/documentpage.cpp, src/documentpage.h, src/opentryparser.cpp,
	  src/opentryparser.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutetext.cpp, src/qutetext.h, src/src.pro,
	  src/widgetpanel.cpp: Fixed crashing of device pop up menu in
	  preference
	  New menu which includes all opcodes by category when right
	  clicking on the editor
	  Copy to clipboard from console panel is now possible

2008-12-17 02:33  Andrés Cabrera <mantaraya36@gmail.com>

	* [r109] images/gtk-media-play-ltr2.png,
	  images/gtk-media-play-ltr2.svg, src/application.qrc,
	  src/configdialog.cpp, src/configdialog.ui, src/console.cpp,
	  src/options.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/widgetpanel.cpp: Added new action for Play in terminal
	  Fixed rashing wigets when cut.
	  Widget clipboard is now retained through open files, so you can
	  copy/paste between different files.
	  Added new option to enable FLTK widgets when running using the
	  API. FLTK widgets are disabled by default
	  Play button is now unlatched when csound stops even when threaded

2008-12-16 18:59  Andrés Cabrera <mantaraya36@gmail.com>

	* [r108] examples/circle.csd, examples/lineedit.csd,
	  examples/miditest.csd, examples/noisered.csd,
	  examples/noreinit.csd, examples/reinit.csd,
	  examples/reservedchannels.csd, examples/rms.csd,
	  examples/stringchannels.csd, src/application.qrc,
	  src/configdialog.cpp, src/configdialog.h, src/default.csd,
	  src/dockhelp.cpp, src/dockhelp.h, src/documentpage.cpp,
	  src/options.cpp, src/options.h, src/qutebutton.cpp,
	  src/qutebutton.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutemeter.cpp, src/qutewidget.cpp,
	  src/types.h, src/utilitiesdialog.cpp, src/utilitiesdialog.h,
	  src/widgetpanel.cpp: Fixed enconding detection for reading file.
	  This allows for international characters in csds now.
	  Added reserved channels for use from buttons
	  Widget context menu now shows cut/copy/paste/duplicate actions
	  Fixed going back one extra tab when closing a file
	  Fixed polarity of Graph widget
	  Changed some shortcuts for consistency
	  If MacOptions section does not exist, a defaut one is created.
	  Fixed copying from the help panel, had broken with the copy/paste
	  from widget panel
	  Improved default csd.
	  Made configlists a static object instead of passing pointers
	  around
	  Added new Examples menu which allows direct loading of examples
	  Fixed widget panel size for existing examples
	  Added example for reserved channels

2008-12-16 13:28  Andrés Cabrera <mantaraya36@gmail.com>

	* [r107] src/curve.cpp, src/curve.h: Added missing curve class

2008-12-16 13:27  Andrés Cabrera <mantaraya36@gmail.com>

	* [r106] src/documentpage.cpp, src/documentpage.h,
	  src/framewidget.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutemeter.cpp, src/qutespinbox.cpp, src/qutespinbox.h,
	  src/qutetext.cpp, src/qutetext.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Implemented SpinBox widget
	  Widget Panel size is now saved in MacOptions section of csd and
	  is recalled when changing tabs (Size is not currently kept when
	  widget is docked or undocked.
	  Fixed selection behavior for widgets
	  Implemented copy, paste, cut and duplicate for widgets.

2008-12-15 17:21  Andrés Cabrera <mantaraya36@gmail.com>

	* [r105] src/configdialog.cpp, src/configdialog.h, src/console.cpp,
	  src/framewidget.cpp, src/quteconsole.cpp, src/quteconsole.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/qutedummy.cpp,
	  src/qutegraph.cpp, src/qutegraph.h, src/quteknob.cpp,
	  src/qutemeter.cpp, src/quteslider.cpp, src/quteslider.h,
	  src/qutetext.cpp, src/qutetext.h, src/qutewidget.cpp,
	  src/utilitiesdialog.cpp, src/widgetpanel.cpp, src/widgetpanel.h:
	  Completed implementing graph widget to display csound f-tables
	  Cleaned up warnings and unnecessary comments in sources

2008-12-13 22:55  Andrés Cabrera <mantaraya36@gmail.com>

	* [r104] ChangeLog, src/framewidget.cpp, src/main.cpp,
	  src/quteconsole.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutetext.cpp, src/qutetext.h,
	  src/qutewidget.cpp, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Implemented Scroll Number widget
	  Separated Label and Display as separate widgets
	  Command line options are now parsed completely. Hopefully this
	  will make
	  Initial work on getting csound graphs to be displayed on Graph
	  widgets
	  Attempt to add splash screen, but not working...
	  Made edit mode borders slightly thinner

2008-12-13 21:05  afillebrown

	* [r103] src, src/src.pro: Added QUTECSOUND_CSOUND_PATH user
	  variable to src.pro for win32 builds.

2008-12-10 17:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r102] src/qutewidget.h, src/widgetpanel.cpp, src/widgetpanel.h:
	  Minor fix to correct some connections between widgets

2008-12-09 21:18  Andrés Cabrera <mantaraya36@gmail.com>

	* [r101] src/framewidget.cpp, src/framewidget.h,
	  src/qutecsound.cpp, src/qutewidget.cpp, src/qutewidget.h,
	  src/src.pro, src/widgetpanel.cpp, src/widgetpanel.h: Implemented
	  multiple selection and simutaneous move and resize of selected
	  widgets.
	  Moved FrameWidget class to its own file

2008-12-09 16:39  Andrés Cabrera <mantaraya36@gmail.com>

	* [r100] examples/lineedit.csd, examples/miditest.csd,
	  src/documentpage.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutetext.cpp, src/qutetext.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Added line edit widget
	  Implementing sending string channels from widgets
	  Fixed behavior of edit action (now only one action which is
	  shared)

2008-12-09 01:40  Andrés Cabrera <mantaraya36@gmail.com>

	* [r99] src/widgetpanel.cpp: Fixed movement of widgets

2008-12-09 01:04  Andrés Cabrera <mantaraya36@gmail.com>

	* [r98] examples/miditest.csd, src/configdialog.cpp,
	  src/documentpage.cpp, src/widgetpanel.cpp, src/widgetpanel.h:
	  Implemented listing of MIDI input and output devices in config
	  dialog tool buttons.

2008-12-07 14:06  Andrés Cabrera <mantaraya36@gmail.com>

	* [r97] qutecsound.kdevelop, src/application.qrc,
	  src/configdialog.cpp, src/configdialog.h, src/configdialog.ui,
	  src/documentpage.cpp, src/documentpage.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/src.pro, src/test.csd, src/widgetpanel.h:
	  Added selection from list of realtime audio devices in
	  configuration dialog.
	  When clicking on a csd file from the manual, it is now opened in
	  qutecsound and marked read only.

2008-12-05 13:26  Andrés Cabrera <mantaraya36@gmail.com>

	* [r96] images/gtk-media-play-trl.png,
	  images/gtk-media-play-trl.svg, src/application.qrc,
	  src/dockhelp.cpp, src/dockhelp.h, src/qutebutton.cpp,
	  src/qutecheckbox.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/quteknob.cpp, src/qutetext.cpp, src/qutetext.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/widgetpanel.cpp,
	  src/widgetpanel.h: Widgets can now be moved and resized using the
	  Edit mode action
	  csd files from the manual now open automatically in QuteCsound
	  Added buttons for back and forward actions to DockHelp panel
	  The channel name line edit is now selected by default when
	  opening widget preferences
	  QuteCsound now warns when there are no open sco or orc files when
	  joining to csd
	  Made QuteCsound widgets less verbose

2008-12-03 00:35  Andrés Cabrera <mantaraya36@gmail.com>

	* [r95] examples/noisered.csd, examples/stringchannels.csd,
	  src/configdialog.ui, src/qutebutton.cpp, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutemeter.cpp, src/qutetext.cpp,
	  src/qutetext.h, src/qutewidget.cpp, src/qutewidget.h,
	  src/src.pro, src/widgetpanel.cpp, src/widgetpanel.h: Implemented
	  receiving strings from QuteLabel widgets.
	  Fixed initial display position for Point Controllers
	  Fixed positioning of buttons (they appeared higher than they
	  should)
	  Text alignment is now saved correctly
	  Added new string channels example

2008-12-01 16:58  Andrés Cabrera <mantaraya36@gmail.com>

	* [r94] ChangeLog, src/configdialog.cpp, src/configdialog.ui,
	  src/documentpage.cpp, src/options.h, src/qutebutton.cpp,
	  src/qutebutton.h, src/qutecheckbox.cpp, src/qutecheckbox.h,
	  src/qutecombobox.cpp, src/qutecsound.cpp, src/quteknob.cpp,
	  src/qutemeter.cpp, src/qutemeter.h, src/quteslider.cpp,
	  src/qutetext.cpp, src/qutewidget.cpp, src/qutewidget.h,
	  src/widgetpanel.cpp, src/widgetpanel.h: Meter ("Controller")
	  widget becomes horizontal if width> height.
	  Meter widget now sends horizontal/vertical values in the correct
	  way.
	  The status bar shows important configuration options when
	  hovering over play and render toolbar buttons
	  Added menu action to join orc/sco files into a single csd file
	  Widget preferences now shows type of widget
	  Cleaned up unnecessary stuff in widgets
	  orc and sco files are now preserved correctly (widget section was
	  being added)
	  Added option to see channel of widget as tooltip (on by default)
	  Updated ChangeLog

2008-11-28 22:25  Andrés Cabrera <mantaraya36@gmail.com>

	* [r93] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/console.h, src/dockhelp.cpp,
	  src/dockhelp.h, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutemeter.cpp, src/qutemeter.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/types.h,
	  src/utilitiesdialog.cpp, src/widgetpanel.cpp: QuteMeter now
	  receives both values (horizontal and vertical)
	  Opcode entries can now be viewed in external browser
	  New back and forward actions for dock help (Alt+left and
	  Alt+right)
	  Some cleanup of sources

2008-11-28 22:14  Andrés Cabrera <mantaraya36@gmail.com>

	* [r92] examples/circle.csd: Added new example showing the new
	  controller widget

2008-11-28 15:58  Andrés Cabrera <mantaraya36@gmail.com>

	* [r91] examples/noisered.csd, examples/rms.csd, src/console.h,
	  src/qutecsound.cpp, src/qutemeter.cpp, src/qutemeter.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/types.h,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented meter called
	  "Controller" in QuteCsound, which can send and receive two values
	  Made widget console font a bit smaller
	  Added two new examples to the examples folder

2008-11-26 01:55  Andrés Cabrera <mantaraya36@gmail.com>

	* [r90] src/configdialog.cpp, src/configdialog.ui,
	  src/dockhelp.cpp, src/opentryparser.cpp, src/opentryparser.h,
	  src/options.cpp, src/options.h, src/qutebutton.h,
	  src/qutecheckbox.cpp, src/qutecheckbox.h, src/qutecombobox.cpp,
	  src/qutecombobox.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutegraph.cpp, src/qutegraph.h, src/quteknob.cpp,
	  src/quteknob.h, src/qutemeter.h, src/quteslider.cpp,
	  src/quteslider.h, src/qutetext.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Added option to use/disable command line
	  options from QuteCsound
	  All open files are remembered, not only the last active ones
	  When widget values change, document is flagged as modified. This
	  is also the foundation for automatic widget connection (widgets
	  with the same channel name modify each other)
	  No asking "do you want to save" when opening a file.
	  Hardware buffer active preference is now saved
	  Cleaned widget classes
	  Created dummy graph widget
	  Cleaned most compile warnings

2008-11-25 13:07  Andrés Cabrera <mantaraya36@gmail.com>

	* [r89] src/qutecsound.cpp, src/utilitiesdialog.cpp,
	  src/utilitiesdialog.ui: Utilities now run through the API if
	  useAPI is set in options
	  Browse buttons now work in utilities dialog

2008-11-25 12:22  Andrés Cabrera <mantaraya36@gmail.com>

	* [r88] src/configdialog.cpp, src/configdialog.ui, src/console.cpp,
	  src/console.h, src/highlighter.cpp, src/options.h,
	  src/qutebutton.cpp, src/quteconsole.cpp, src/quteconsole.h,
	  src/qutecsound.cpp, src/quteknob.cpp, src/quteknob.h,
	  src/qutemeter.cpp, src/qutemeter.h, src/quteslider.cpp,
	  src/quteslider.h, src/qutewidget.cpp, src/qutewidget.h,
	  src/src.pro: Console widget now resizes properly.
	  Button now saves its value
	  Fixed printing of messages and read/write widget values when
	  running in same thread
	  f-sigs and labels are now colored in the editor
	  Made knob (dial) a little smaller than the widget size to imitate
	  MacCsound
	  Added option to show/hide widgets on run
	  Prepared class for meter widget

2008-11-21 13:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r87] src/windows-installer-doubles.nsi,
	  src/windows-installer.nsi: Separated installer maker for floats
	  and doubles versions for Windows. QuteCsound installs in a
	  different directory in each case

2008-11-18 17:04  Andrés Cabrera <mantaraya36@gmail.com>

	* [r86] src/console.cpp, src/console.h, src/documentpage.cpp,
	  src/qutebutton.cpp, src/quteconsole.cpp, src/quteconsole.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/quteknob.cpp,
	  src/quteslider.cpp, src/qutetext.cpp, src/src.pro,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented ioListing
	  (ConsoleWidget) widget
	  Fixed separation of MacCsound sections
	  Made timer single shot
	  Fixed showing of About QuteCsound
	  Improved font size compatibility with MacCsound

2008-11-18 00:20  Andrés Cabrera <mantaraya36@gmail.com>

	* [r85] src/console.cpp, src/console.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/quteslider.cpp, src/qutetext.cpp,
	  src/widgetpanel.cpp: Initial work on console (ioListing) widget
	  Fixed printing csound report when there are compilation errors
	  and threaded operation is selected
	  Colors are now shown on buttons for text widget on Mac
	  Font sizes more closely match MacCsound.

2008-11-17 22:06  Andrés Cabrera <mantaraya36@gmail.com>

	* [r84] examples/reinit.csd, src/dockhelp.cpp, src/dockhelp.h,
	  src/documentpage.cpp, src/highlighter.cpp, src/highlighter.h,
	  src/qutecsound.cpp, src/qutecsound.h: Added actions to show Gen
	  routines and Opcode overview in Help menu
	  Improved handling of MacCsound specific sections (needs more
	  testing)
	  Labels are now highlighted. Strings within comments appear green
	  and comments are now in italics

2008-11-17 12:22  Andrés Cabrera <mantaraya36@gmail.com>

	* [r83] examples, examples/noreinit.csd, examples/reinit.csd,
	  src/default.csd, src/documentpage.cpp, src/qutecheckbox.cpp,
	  src/qutecheckbox.h, src/qutecombobox.cpp, src/qutecombobox.h,
	  src/qutecsound.cpp, src/qutetext.cpp, src/qutetext.h,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Implemented Checkbox and Menu widgets.
	  Fixed disappearing tabs.
	  Added examples reinit.csd and noreinit.csd
	  Reduced verbosity

2008-11-15 21:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r82] src/documentpage.cpp, src/documentpage.h,
	  src/qutebutton.cpp, src/qutecombobox.cpp, src/qutecombobox.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/src.pro: Added
	  indent,unindent, comment and uncomment actions.
	  Initial framework for ioMenu widget

2008-11-11 15:56  Andrés Cabrera <mantaraya36@gmail.com>

	* [r81] src/default.csd, src/qutecsound.cpp, src/quteknob.cpp,
	  src/quteknob.h, src/quteslider.cpp, src/quteslider.h,
	  src/qutetext.cpp, src/qutetext.h, src/widgetpanel.cpp: Put back
	  latching of play button (fixed on Mac)
	  Fixed float/int issue with sliders and knobs (the decimal part of
	  ranges was being discarded)
	  Implemented value ioText type, which can receive values from
	  outvalue opcode.

2008-11-08 12:13  Andrés Cabrera <mantaraya36@gmail.com>

	* [r80] src/qutebutton.cpp, src/qutebutton.h: Added browse button
	  for filename in button widget.
	  Button image now updates correctly.

2008-11-08 11:57  Andrés Cabrera <mantaraya36@gmail.com>

	* [r79] src/qutebutton.cpp, src/qutebutton.h, src/qutetext.cpp,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented setting
	  pictures for buttons. This completes the implementation of
	  ioButton from MacCsound.
	  Buttons can now be deleted.
	  Background for widget panel can now be set with right click, is
	  saved and read from the csd.

2008-11-07 12:47  Andrés Cabrera <mantaraya36@gmail.com>

	* [r78] src/console.cpp, src/documentpage.cpp, src/qutecsound.cpp,
	  src/qutecsound.h, src/quteslider.cpp, src/quteslider.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/src.pro, src/types.h,
	  src/utilitiesdialog.cpp, srcrelease.sh: More work on threading
	  issues. When threaded, all events and outvalues are queued and
	  processed by a timer in the main thread. This should make
	  threaded operation perform even better than non-threaded.
	  Sliders appear horizontally if width>height (as in MacCsound)
	  Bumped version to 0.3. 5
	  Cleaned up some compiler warnings
	  Fixed srcrelease script

2008-11-04 19:07  Andrés Cabrera <mantaraya36@gmail.com>

	* [r77] src/console.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/src.pro: Preliminary locks to improve threaded operation
	  Made play button uncheckable while stability issue is soved on
	  Mac.

2008-10-31 14:14  Andrés Cabrera <mantaraya36@gmail.com>

	* [r76] src/configdialog.cpp, src/configdialog.ui,
	  src/qutebutton.cpp, src/qutecsound.cpp, src/qutetext.cpp: Play
	  button now latches when pressed.
	  Line breaks in widgets are now passes properly (Untested om Mac
	  and Windows)

2008-10-30 00:52  Andrés Cabrera <mantaraya36@gmail.com>

	* [r75] src/documentpage.cpp, src/documentpage.h,
	  src/qutecsound.cpp, src/qutedummy.cpp, src/qutedummy.h,
	  src/quteknob.cpp, src/quteknob.h, src/quteslider.h,
	  src/qutetext.cpp, src/qutewidget.cpp, src/qutewidget.h,
	  src/src.pro, src/widgetpanel.cpp, src/widgetpanel.h: Implemented
	  Knob widget
	  Added dummy widget which shows as a gray rectangle in the place
	  of unsupported widgets. No more crashing with MacCsound csds.
	  If file is already open, go to the tab, instead of opening again
	  (regression)
	  MacPresets section in csd is now maintained internally and not
	  displayed

2008-10-29 20:43  Andrés Cabrera <mantaraya36@gmail.com>

	* [r74] src/configdialog.cpp, src/configdialog.ui,
	  src/configlists.cpp, src/highlighter.cpp, src/options.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/src.pro: Optional
	  (default) use of CsoundPerFormaceThread class for threaded
	  operation.
	  Added option to set tab width and o show text for toolbar icons
	  (Suggestion from Edward Loveall)
	  Added jack option for audio output for mac and pulse for linux
	  Changed some keybindings
	  On linux, external processes are now independent (qutecsound
	  doesn't wait for them to stop)

2008-10-28 19:03  Andrés Cabrera <mantaraya36@gmail.com>

	* [r73] srcrelease.sh: Fixed script for OS X

2008-10-28 19:03  Andrés Cabrera <mantaraya36@gmail.com>

	* [r72] src/qutecsound.cpp, src/qutewidget.cpp,
	  src/widgetpanel.cpp: Fixed crashing of unsupported MacCsound
	  csds.
	  Small typo (missing namespace) thanks to Felipe Sateler

2008-10-28 16:21  Andrés Cabrera <mantaraya36@gmail.com>

	* [r71] src/widgetpanel.cpp, src/widgetpanel.h: Added create Button
	  action to context menu of Widget Panel.

2008-10-28 16:08  Andrés Cabrera <mantaraya36@gmail.com>

	* [r70] src/qutecsound.cpp, src/qutecsound.h: Bumped version number
	  to 0.3.3

2008-10-28 11:06  Andrés Cabrera <mantaraya36@gmail.com>

	* [r69] ChangeLog: Updated changelog

2008-10-28 11:03  Andrés Cabrera <mantaraya36@gmail.com>

	* [r68] src/configdialog.ui, src/default.csd, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutewidget.cpp, src/src.pro,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented sending
	  values to widgets using outvalue and chnget
	  Moved some running options to editor in configuration dialog

2008-10-25 20:56  Andrés Cabrera <mantaraya36@gmail.com>

	* [r67] src/configdialog.cpp, src/configdialog.ui, src/default.csd,
	  src/options.h, src/qutecsound.cpp, src/qutecsound.h, src/src.pro:
	  Implemented invalue/outvalue callbacks, so that invalue can be
	  used in the orchestra
	  Added option to enable/disable invalue and chnget.
	  Cleaned up sources.
	  Removed linking to csnd library as it is no longer needed

2008-10-24 16:40  Andrés Cabrera <mantaraya36@gmail.com>

	* [r66] src/qutecsound.cpp: Flush events when start running

2008-10-24 13:13  Andrés Cabrera <mantaraya36@gmail.com>

	* [r65] src/default.csd, src/qutebutton.cpp, src/qutebutton.h,
	  src/qutecsound.cpp, src/qutetext.cpp, src/src.pro,
	  src/widgetpanel.cpp, src/widgetpanel.h: Implemented buttons with
	  realtime event dispatching.

2008-10-22 14:51  Andrés Cabrera <mantaraya36@gmail.com>

	* [r64] src/default.csd, src/qutetext.cpp, src/qutetext.h,
	  src/widgetpanel.cpp: Implemented alignment, font and font size
	  for label widget

2008-10-22 13:07  Andrés Cabrera <mantaraya36@gmail.com>

	* [r63] BUILDING, src/qutecsound.cpp, srcrelease.sh: Added patch by
	  Felipe Sateler to maintain the opcode syntax on the status bar,
	  even when the cursor is not exactly over the opcode.
	  Fixed typos.

2008-10-21 17:20  Andrés Cabrera <mantaraya36@gmail.com>

	* [r62] srcrelease.sh: Added script to generate source release

2008-10-20 20:43  Andrés Cabrera <mantaraya36@gmail.com>

	* [r61] src/quteslider.cpp, src/quteslider.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/widgetpanel.cpp, src/widgetpanel.h: Sliders
	  and Labels can now be created and deleted

2008-10-20 02:57  Andrés Cabrera <mantaraya36@gmail.com>

	* [r60] src/default.csd, src/documentpage.cpp, src/documentpage.h,
	  src/highlighter.cpp, src/opcodes.xml, src/opentryparser.cpp,
	  src/qutecsound.cpp, src/quteslider.cpp, src/quteslider.h,
	  src/qutetext.cpp, src/qutetext.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Many improvements in handling of MacCsound
	  widgets.
	  Added support for label widget.
	  Added properties dialog for widgets.
	  Made 0dbfs highlighted as a header opcode, and added it to the
	  default csd.
	  Updated opcodes.xml file

2008-10-17 13:42  Andrés Cabrera <mantaraya36@gmail.com>

	* [r59] src/quickref.xml: The quickref.xml file from the manual is
	  not needed.

2008-10-17 13:39  Andrés Cabrera <mantaraya36@gmail.com>

	* [r58] ChangeLog, src/findreplace.cpp, svnauthors.xml: Implemented
	  wrap on end of file for find and replace.
	  Updated changelog and fixed probems with authors.xml file

2008-10-17 02:44  Andrés Cabrera <mantaraya36@gmail.com>

	* [r57] src/findreplace.cpp, src/findreplace.ui,
	  src/qutewidget.cpp, src/qutewidget.h, src/widgetpanel.cpp:
	  Implemented replace function.
	  Added storing of original line of text to widgets (for
	  unimplemented widgets and later saving)

2008-10-16 01:52  Andrés Cabrera <mantaraya36@gmail.com>

	* [r56] src/opcodes.xml: Updated opcodes.xml for 5.09 version

2008-10-16 01:47  Andrés Cabrera <mantaraya36@gmail.com>

	* [r55] BUILDING, COPYING, gpl-3.0.txt, images/control-center2.png,
	  images/control-center2.svg, images/editfile.png,
	  images/editfile.svg, images/gksu-root-terminal.png,
	  images/gksu-root-terminal.svg, images/gnome-devel.png,
	  images/gnome-devel.svg,
	  images/gnome-mime-application-x-diagram.png,
	  images/gnome-mime-application-x-diagram.svg, images/gtk-info.png,
	  images/gtk-info.svg, images/playfile.png, images/playfile.svg,
	  images/render.png, images/render.svg, src/application.qrc,
	  src/qutecsound.cpp, src/qutecsound.h, src/types.h: Fixed crashing
	  when last file was moved.
	  Added icons.
	  Added program files macro for windows (untested)

2008-10-15 22:13  Andrés Cabrera <mantaraya36@gmail.com>

	* [r54] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/configlists.cpp, src/configlists.h,
	  src/console.cpp, src/console.h, src/default.csd,
	  src/dockhelp.cpp, src/dockhelp.h, src/documentpage.cpp,
	  src/documentpage.h, src/findreplace.cpp, src/findreplace.h,
	  src/findreplace.ui, src/highlighter.cpp, src/highlighter.h,
	  src/main.cpp, src/opentryparser.cpp, src/opentryparser.h,
	  src/options.cpp, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/quteslider.cpp, src/quteslider.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/src.pro, src/types.h,
	  src/utilitiesdialog.cpp, src/utilitiesdialog.h,
	  src/widgetpanel.cpp, src/widgetpanel.h, templates/cpp,
	  templates/h: Corrected address for FSF in licence. (Thanks to
	  Felipe Sateler)
	  Corrected licence in all source files (all are GPv3 now) (Thanks
	  to Felipe Sateler)
	  Added option to save or discard widgets in csd file.
	  Added find action.
	  Default widgets are now shown for any file even if it doesn't
	  have a widgets section originally.
	  Added reload action.
	  Added version number to about dialog.
	  Improved behavior of untitled documents (they are not replaced
	  when a file is opened or when a fie is reloaded)
	  Fixed string error in widgetpanel (Thanks to Felipe Sateler)

2008-10-14 15:38  Andrés Cabrera <mantaraya36@gmail.com>

	* [r53] src/qutecsound.cpp, src/quteslider.cpp, src/quteslider.h,
	  src/src.pro, src/widgetpanel.cpp: Added missing quteslider class
	  files
	  Fixed switching widgets when panel switches (had to explicitly
	  show the widgets)
	  Fixed closign of csound when qutecsound closes

2008-10-14 02:41  Andrés Cabrera <mantaraya36@gmail.com>

	* [r52] ChangeLog, src/default.csd, src/documentpage.cpp,
	  src/documentpage.h, src/main.cpp, src/options.cpp,
	  src/qutecsound.cpp, src/qutecsound.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h, svnauthors.xml: Implemented loading slider in
	  MacCsound format.
	  Implemented changing widgets depending on selected panel (not
	  working properly yet)
	  Many small fixes
	  Output filename from browse dialog now works.

2008-10-10 14:09  Andrés Cabrera <mantaraya36@gmail.com>

	* [r51] src/configdialog.h, src/configlists.cpp, src/configlists.h,
	  src/console.h, src/documentpage.cpp, src/documentpage.h,
	  src/highlighter.cpp, src/highlighter.h, src/main.cpp,
	  src/options.cpp, src/options.h, src/qutecsound.h, src/types.h,
	  src/widgetpanel.h, svnauthors.xml: Bumped licence version to
	  GPLv3

2008-10-10 13:21  Andrés Cabrera <mantaraya36@gmail.com>

	* [r50] qutecsound.kdevelop, src/documentpage.cpp,
	  src/documentpage.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutewidget.cpp, src/qutewidget.h, src/src.pro, src/types.h,
	  src/widgetpanel.cpp, src/widgetpanel.h: MacCsound sections are
	  now hidden, but are preserved.
	  Fixed printing of all messages to console.
	  More internal work for widget support and compatibility with
	  MacCsound

2008-10-07 17:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r49] src/src.pro: Fixed build in OS X

2008-10-07 02:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r48] src/qutecsound.cpp, src/qutewidget.cpp, src/qutewidget.h,
	  src/widgetpanel.cpp: More internal work on widgets

2008-10-06 21:20  Andrés Cabrera <mantaraya36@gmail.com>

	* [r47] src/configdialog.cpp, src/configdialog.ui, src/console.cpp,
	  src/options.h, src/qutecsound.cpp, src/qutecsound.h,
	  src/qutewidget.cpp, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: Csound can now be executed in its own thread.
	  The C++ interface to the API is no longer used, only the standard
	  C interface is
	  New buttons for show/hide help panel and console.
	  Performance improvement in getting values from widgets
	  Last file opened can now be remembered if preference is set (set
	  on by default)
	  Basic coloring of console text

2008-10-01 12:31  Andrés Cabrera <mantaraya36@gmail.com>

	* [r46] qutecsound.kdevelop, src/configdialog.cpp,
	  src/configdialog.ui, src/options.cpp, src/options.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/qutewidget.cpp,
	  src/qutewidget.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h, templates/cpp, templates/h: Added option to
	  bypass widgets.
	  Dock widgets and toolbar positions are now persistent.
	  Internal changes: Added QuteWidget base class for all widgets.
	  other minor fixes

2008-10-01 12:22  Andrés Cabrera <mantaraya36@gmail.com>

	* [r45] src/utilitiesdialog.cpp: Hack for utilities documentation
	  to work in Windows

2008-09-30 14:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r44] src/qutecsound.cpp: Fixed command line execution on OS X

2008-09-27 13:01  Andrés Cabrera <mantaraya36@gmail.com>

	* [r43] ChangeLog, svnauthors.xml: Generated Changelog (from
	  svn2cl), using svnauhors.xml file.

2008-09-24 14:14  Andrés Cabrera <mantaraya36@gmail.com>

	* [r42] src/console.cpp, src/console.h, src/dockhelp.cpp,
	  src/dockhelp.h, src/qutecsound.cpp, src/utilitiesdialog.cpp,
	  src/utilitiesdialog.h, src/widgetpanel.cpp, src/widgetpanel.h:
	  Buttons now correctly reflect the state of the dock panels

2008-09-24 02:22  Andrés Cabrera <mantaraya36@gmail.com>

	* [r41] src/qutecsound.cpp, src/types.h, src/utilitiesdialog.cpp,
	  src/widgetpanel.cpp, src/widgetpanel.h: Several minor changes to
	  fix the Windows build

2008-09-23 14:13  Andrés Cabrera <mantaraya36@gmail.com>

	* [r40] src/default.csd, src/qutecsound.cpp, src/qutecsound.h,
	  src/src.pro, src/types.h, src/widgetpanel.cpp, src/widgetpanel.h:
	  Added preliminary support for widgets.
	  Hopefully fixed launching windows command prompt.

2008-09-22 01:44  Andrés Cabrera <mantaraya36@gmail.com>

	* [r39] qutecsound.kdevelop, src/configdialog.ui, src/default.csd,
	  src/options.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/src.pro, src/utilitiesdialog.cpp, src/utilitiesdialog.h,
	  src/utilitiesdialog.ui: Implemented utilities dialog

2008-09-16 16:32  Andrés Cabrera <mantaraya36@gmail.com>

	* [r38] src/qutecsound.cpp, src/qutecsound.h, src/src.pro,
	  src/utilitiesdialog.cpp, src/utilitiesdialog.h,
	  src/utilitiesdialog.ui: New File action now creates a new file
	  every time, instead of the previous "only one new file" behavior
	  More internal work on Utilities dialog.

2008-09-12 18:14  Andrés Cabrera <mantaraya36@gmail.com>

	* [r37] src/utilitiesdialog.ui: Added utilities dialog file

2008-09-09 16:23  Andrés Cabrera <mantaraya36@gmail.com>

	* [r36] bin/osx-prepare-bundle.sh: OS X bundle script now prepares
	  a zip file with and without Qt.

2008-09-09 16:21  Andrés Cabrera <mantaraya36@gmail.com>

	* [r35] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/qutecsound.cpp, src/qutecsound.h,
	  src/types.h: Browse buttons for Input and output filename now
	  work.
	  Open external editor and player now works on OS X.
	  Correct extension added when selecting output filename (when in
	  ask every time mode)
	  Added Externel Player, External Editor and Configure buttons to
	  the toolbars (icons to come)
	  Corrected default name for QuickTime Player

2008-09-07 02:42  Andrés Cabrera <mantaraya36@gmail.com>

	* [r34] src/configlists.cpp, src/src.pro,
	  src/windows-installer.nsi: Set portaudio as default rtaudio
	  module, as it seems to work better out of the box.
	  Made windows installer.

2008-09-06 15:28  Andrés Cabrera <mantaraya36@gmail.com>

	* [r33] qutecsound.kdevelop, src/application.qrc,
	  src/qutecsound.cpp: Added new icon to main window

2008-09-06 15:14  Andrés Cabrera <mantaraya36@gmail.com>

	* [r32] src/dockhelp.cpp, src/dockhelp.h, src/qutecsound.cpp,
	  src/qutecsound.h: Fixed documentation panel for windows

2008-09-06 14:09  Andrés Cabrera <mantaraya36@gmail.com>

	* [r31] src/configdialog.ui, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/src.pro, src/types.h: Improved external
	  applications usage for other platforms

2008-09-03 02:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r30] images/qtcs.icns, images/qtcs.ico, images/qtcs.png,
	  images/qtcs.svg: New green version of icons by Daniel Prieto

2008-09-02 17:11  Andrés Cabrera <mantaraya36@gmail.com>

	* [r29] images/qtcs.icns: Added icon by Daniel Prieto

2008-09-02 02:12  Andrés Cabrera <mantaraya36@gmail.com>

	* [r28] src/dockhelp.cpp, src/src.pro, src/types.h: Added hack so
	  Documentation shows up on windows (but links are not working and
	  encoding is wrong...)
	  Fixed src.pro to build floats or doubles version properly.
	  Added default doc dir for windows

2008-08-31 14:00  Andrés Cabrera <mantaraya36@gmail.com>

	* [r27] images/modIcon.png, images/modIcon.svg,
	  images/modIcon2.png, images/modIcon2.svg, src/application.qrc,
	  src/configdialog.cpp, src/configdialog.ui, src/highlighter.cpp,
	  src/highlighter.h, src/options.h, src/qutecsound.cpp,
	  src/qutecsound.h, src/src.pro, src/widgetpanel.cpp,
	  src/widgetpanel.h: If opening a document that is alreadt open, go
	  to that tab instead of opening again
	  When closing qutecsound all documents are checked for
	  modifications and request save
	  Added more color to variables (global varibles)
	  Added option to turn on/off coloring of variables
	  Added Icons for document tabs
	  Added preliminary work for widget tab and selection highlighting

2008-08-29 22:47  Andrés Cabrera <mantaraya36@gmail.com>

	* [r26] images/qtcs.ico, src/configdialog.cpp, src/configlists.cpp,
	  src/configlists.h, src/highlighter.cpp, src/qutecsound.cpp,
	  src/qutecsound.h, src/qutecsound.rc, src/src.pro: Added windows
	  icon
	  Improved file selection dialog: Now remembers last location and
	  filters for appropriate files
	  Added highlighting for variables
	  Removed printing of text to console

2008-08-29 19:53  Andrés Cabrera <mantaraya36@gmail.com>

	* [r25] src/MyInfo.plist, src/src.pro: Added icons by Jim Bates

2008-08-29 19:52  Andrés Cabrera <mantaraya36@gmail.com>

	* [r24] images/qtcs.icns, images/qtcs.png: Added icons by Jim Bates

2008-08-28 20:03  Andrés Cabrera <mantaraya36@gmail.com>

	* [r23] src/qutecsound.cpp, src/src.pro: Disabled using external
	  shell for windows as current code will not build.
	  Modified src.pro for windows

2008-08-27 22:20  Andrés Cabrera <mantaraya36@gmail.com>

	* [r22] src/configdialog.cpp, src/configdialog.ui,
	  src/configlists.cpp, src/console.h, src/options.h,
	  src/qutecsound.cpp, src/src.pro: Added option to change console
	  font
	  Set default MIDI rt module to "none"

2008-08-19 17:46  Andrés Cabrera <mantaraya36@gmail.com>

	* [r21] src/console.cpp, src/dockhelp.cpp, src/options.cpp,
	  src/qutecsound.cpp, src/qutecsound.h, src/types.h: Added
	  workaround so menus are not lost on OS X
	  Made console font smaller and default font larger
	  Fixed default csd
	  Made FLTK windows close on stop
	  Fixed temporary path issue

2008-08-15 19:56  Andrés Cabrera <mantaraya36@gmail.com>

	* [r20] bin/osx-prepare-bundle.sh: Fixed mac os x script

2008-08-15 19:45  Andrés Cabrera <mantaraya36@gmail.com>

	* [r19] src/default.csd, src/src.pro: Minor fixes

2008-08-15 19:44  Andrés Cabrera <mantaraya36@gmail.com>

	* [r18] bin/osx-prepare-bundle.sh: Small fixes

2008-08-12 16:35  Andrés Cabrera <mantaraya36@gmail.com>

	* [r17] src/MyInfo.plist, src/highlighter.cpp, src/qutecsound.cpp,
	  src/qutecsound.h, src/src.pro: Fixed line endings for Mac.

2008-08-01 02:44  Andrés Cabrera <mantaraya36@gmail.com>

	* [r16] src/configdialog.cpp, src/configdialog.h,
	  src/configdialog.ui, src/configlists.cpp, src/configlists.h,
	  src/dockhelp.cpp, src/dockhelp.h, src/opcodes.xml,
	  src/options.cpp, src/options.h, src/qutecsound.cpp, src/src.pro:
	  Added rtMidi options
	  Refactored setup dialog. Removed unused fields
	  Improved setup defaults
	  Updated opcodes.xml (there was a bug in the generator script)
	  Changed some keyboard shortcuts and added others.

2008-07-17 23:40  Andrés Cabrera <mantaraya36@gmail.com>

	* [r15] bin, bin/osx-prepare-bundle.sh: Add OSX bundle script

2008-07-17 23:39  Andrés Cabrera <mantaraya36@gmail.com>

	* [r14] src/bin: Added bin directory

2008-07-17 23:36  Andrés Cabrera <mantaraya36@gmail.com>

	* [r13] src/configdialog.ui, src/dockhelp.cpp, src/dockhelp.h,
	  src/main.cpp, src/options.cpp, src/qutecsound.cpp, src/src.pro,
	  src/types.h: Improvements for Mac OSX

2008-06-12 21:23  Andrés Cabrera <mantaraya36@gmail.com>

	* [r12] src/configlists.cpp, src/qutecsound.cpp, src/qutecsound.h,
	  src/src.pro: Build on Mac OS X

2008-06-09 19:46  Andrés Cabrera <mantaraya36@gmail.com>

	* [r11] qutecsound.kdevelop, src/options.cpp, src/qutecsound.cpp,
	  src/qutecsound.h: Removed quotes from filenames for passing
	  arguments
	  Load companion orc or sco file
	  Corrected running and other small bug fixes

2008-05-27 12:28  Andrés Cabrera <mantaraya36@gmail.com>

	* [r10] src/qutecsound.cpp: Fixed small bug

2008-05-27 02:25  Andrés Cabrera <mantaraya36@gmail.com>

	* [r9] src/configdialog.cpp, src/configdialog.h,
	  src/documentpage.cpp, src/documentpage.h, src/options.cpp,
	  src/options.h, src/qutecsound.cpp, src/qutecsound.h: Fixed for
	  Qt4.4 (hopefully)
	  Improved support for ors/sco file pairs

2008-05-26 13:44  Andrés Cabrera <mantaraya36@gmail.com>

	* [r8] images/render.png, images/render.svg, src/application.qrc,
	  src/dockhelp.cpp, src/documentpage.cpp, src/documentpage.h,
	  src/main.cpp, src/qutecsound.cpp, src/qutecsound.h, src/src.pro:
	  Added support for opening multiple files in tabs
	  Other small bug fixes

2008-05-25 03:33  Andrés Cabrera <mantaraya36@gmail.com>

	* [r7] qutecsound.kdevelop: Added highlight support for {{}}
	  strings
	  Embedded opcode.xml and default.csd
	  Added new icons and removed old ones

2008-05-25 03:31  Andrés Cabrera <mantaraya36@gmail.com>

	* [r6] images, images/gnome-dev-floppy.png,
	  images/gnome-dev-floppy.svg, images/gnome-folder.png,
	  images/gnome-folder.svg, images/gtk-copy.png,
	  images/gtk-copy.svg, images/gtk-cut.png, images/gtk-cut.svg,
	  images/gtk-media-pause.png, images/gtk-media-pause.svg,
	  images/gtk-media-play-ltr.png, images/gtk-media-play-ltr.svg,
	  images/gtk-media-stop.png, images/gtk-media-stop.svg,
	  images/gtk-new.png, images/gtk-new.svg, images/gtk-paste.png,
	  images/gtk-paste.svg, images/gtk-redo.png, images/gtk-redo.svg,
	  images/gtk-reload.png, images/gtk-reload.svg,
	  images/gtk-undo.png, images/gtk-undo.svg, images/render.png,
	  images/render.svg, src/application.qrc, src/configdialog.ui,
	  src/dockhelp.cpp, src/editcopy.xpm, src/editcut.xpm,
	  src/editpaste.xpm, src/filenew.xpm, src/fileopen.xpm,
	  src/filesave.xpm, src/highlighter.cpp, src/qutecsound.cpp,
	  src/qutecsound.h: Added highlight support for {{}} strings
	  Embedded opcode.xml and default.csd
	  Added new icons and removed old ones

2008-05-19 11:15  Andrés Cabrera <mantaraya36@gmail.com>

	* [r5] src/configdialog.ui, src/console.cpp, src/console.h,
	  src/qutecsound.cpp: Improved API output console

2008-05-18 17:42  Andrés Cabrera <mantaraya36@gmail.com>

	* [r4] src/configdialog.ui, src/console.cpp, src/console.h,
	  src/qutecsound.cpp, src/qutecsound.h, src/src.pro: Added Console
	  Output panel

2008-05-18 14:40  Andrés Cabrera <mantaraya36@gmail.com>

	* [r3] src/configdialog.cpp, src/configdialog.ui, src/options.cpp,
	  src/options.h, src/qutecsound.cpp: Added Save Changes checkbox
	  Fixed running from the API

2008-05-18 02:32  Andrés Cabrera <mantaraya36@gmail.com>

	* [r2] src/qutecsound.cpp: minor cleanup

2008-05-17 15:46  Andrés Cabrera <mantaraya36@gmail.com>

	* [r1] ., COPYING, Doxyfile, qutecsound.kdevelop, qutecsound.pro,
	  src, src/application.qrc, src/configdialog.cpp,
	  src/configdialog.h, src/configdialog.ui, src/configlists.cpp,
	  src/configlists.h, src/default.csd, src/dockhelp.cpp,
	  src/dockhelp.h, src/editcopy.xpm, src/editcut.xpm,
	  src/editpaste.xpm, src/filenew.xpm, src/fileopen.xpm,
	  src/filesave.xpm, src/highlighter.cpp, src/highlighter.h,
	  src/main.cpp, src/opcodes.xml, src/opentryparser.cpp,
	  src/opentryparser.h, src/options.cpp, src/options.h,
	  src/quickref.xml, src/qutecsound.cpp, src/qutecsound.h,
	  src/src.pro, src/types.h, templates, templates/cpp, templates/h:

